Upload Media
curl --request POST \
--url https://api.getmaito.com/v1/media/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"fileName": "image.png",
"contentType": "image/png",
"base64Data": "iVBORw0KGgo..."
}
]
}
'import requests
url = "https://api.getmaito.com/v1/media/upload"
payload = { "items": [
{
"fileName": "image.png",
"contentType": "image/png",
"base64Data": "iVBORw0KGgo..."
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{fileName: 'image.png', contentType: 'image/png', base64Data: 'iVBORw0KGgo...'}
]
})
};
fetch('https://api.getmaito.com/v1/media/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"urls": [
"<string>"
]
}
}{
"ok": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required."
}
}{
"ok": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid document query.",
"details": []
}
}Media Uploads
Upload Media
Upload one or more media files as base64 payloads and receive hosted URLs.
POST
/
media
/
upload
Upload Media
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
⌘I

